<template>
    <div class="UserItem">
        <div class="UserMain">
            <img :src="user.avatar_url" height="80" width="80"  alt="photo user">
            <div>{{user.login}}</div>
        </div>

        <div class="UserData"
             v-on:click="$emit('open-user', user.login)"
        >
            <strong class="title">url пользователя:</strong> <span class="body">{{user.url}}</span>
            <strong class="title">url организации:</strong> <span class="body">{{user.organizations_url}}</span>
            <strong class="title">Тип пользователя:</strong> {{user.type}}

            <div class="Over" v-if="this.isOpenUser">
                <span class="title-over">Имя: {{openUserData.name}}</span>
                <span class="title-over">Блог: {{openUserData.blog}}</span>
                <span class="title-over">Компания: {{openUserData.company}}</span>
                <span class="title-over">Блог: {{openUserData.blog}}</span>
                <span class="title-over">email: {{openUserData.email}}</span>
                <span class="title-over">followers: {{openUserData.followers}}</span>
                <span class="title-over">following: {{openUserData.following}}</span>
                <span class="title-over">location: {{openUserData.location}}</span>
            </div>
        </div>

        <div class="Marker"
            v-on:click="$emit('select-user', user.id)"
        >
            <i v-if="onlySelected" class="fa fa-times red" aria-hidden="true"/>
            <i v-else class="fa fa-plus green" aria-hidden="true"/>

        </div>
    </div>
</template>

<script>
    export default {
        name: "UserItem",
        props: {
            user: Object,
            onlySelected: Boolean,
            openUserData: Object,
        },
        data() {
            return{
                openUser: null,
            }

        },
        computed: {
            isOpenUser() {
                if (this.openUserData) {
                    if(this.openUserData.id === this.user.id) {
                        return true
                    }
                }
                return false
            }
        }
    }
</script>

<style scoped>
    .UserItem {
        min-height: 140px;
        display: flex;

    }
    .UserMain {
        width: 100px;
        font-weight: bold;
        position: relative;
    }
    .UserData {
        width: 80%;
        display: flex;
        flex-direction: column;
        text-align: left;
        border-bottom: 1px solid #2c3e50;
    }
    .Over {
        padding: 4px;
        background-color: #95eaec;
        border-top: 1px solid #2c3e50;
    }
    .Marker {
        width: 30px;
        height: 30px;
        position: absolute;
        top: 0; right: 6px;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        box-sizing: border-box;
        color: darkred;
    }
    .Marker .red {
        color: darkred;
    }
    .Marker .green {
        color: darkgreen;
    }
    .title {
        display: block;
        margin: 0;
    }
    .title-over {
        display: flex;
        padding: 2px;
    }
    .body {
        display: block;
        font-style: italic;
        margin-bottom: 6px;
    }

</style>